Freeciv-3.1: packetdata Union Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packetdata Union Reference

## Data Fields

struct { |
gpointer v_pointer1 |
gpointer v_pointer2 |
} | pointers |
struct packet_edit_tile * | tile
struct packet_edit_startpos_full * | startpos
struct packet_edit_city * | city
struct packet_edit_unit * | unit
struct packet_edit_player * | player
struct { |
struct packet_edit_game * game |
struct packet_edit_scenario_desc * desc |
} | game |
struct { |
gpointer v_pointer1 |
gpointer v_pointer2 |
} | pointers |
struct { |
struct packet_edit_game * game |
struct packet_edit_scenario_desc * desc |
} | game |
struct { |
gpointer v_pointer1 |
gpointer v_pointer2 |
} | pointers |
struct { |
struct packet_edit_game * game |
struct packet_edit_scenario_desc * desc |
} | game |

## Detailed Description

Definition at line 95 of file editprop.c.

## Field Documentation

## ◆ city

struct packet_edit_city * packetdata::city

Definition at line 102 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_new_packet(), and property_page_send_packet().

## ◆ desc

struct packet_edit_scenario_desc* packetdata::desc

Definition at line 107 of file editprop.c.

## ◆ game [1/4]

struct packet_edit_game* packetdata::game

Definition at line 106 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_new_packet(), and property_page_send_packet().

## ◆ [struct] [2/4]

struct { ... } packetdata::game

## ◆ [struct] [3/4]

struct { ... } packetdata::game

## ◆ [struct] [4/4]

struct { ... } packetdata::game

## ◆ player

struct packet_edit_player * packetdata::player

Definition at line 104 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_new_packet(), and property_page_send_packet().

## ◆ [struct] [1/3]

struct { ... } packetdata::pointers

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_free_packet(), property_page_new_packet(), property_page_send_packet(), and property_page_send_values().

## ◆ [struct] [2/3]

struct { ... } packetdata::pointers

## ◆ [struct] [3/3]

struct { ... } packetdata::pointers

## ◆ startpos

struct packet_edit_startpos_full * packetdata::startpos

Definition at line 101 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_new_packet(), and property_page_send_packet().

## ◆ tile

struct packet_edit_tile * packetdata::tile

Definition at line 100 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_new_packet(), and property_page_send_packet().

## ◆ unit

struct packet_edit_unit * packetdata::unit

Definition at line 103 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_new_packet(), and property_page_send_packet().

## ◆ v_pointer1

gpointer packetdata::v_pointer1

Definition at line 97 of file editprop.c.

Referenced by objbind_pack_current_values(), objbind_pack_modified_value(), property_page_free_packet(), property_page_new_packet(), property_page_send_packet(), and property_page_send_values().

## ◆ v_pointer2

gpointer packetdata::v_pointer2

Definition at line 98 of file editprop.c.

Referenced by property_page_free_packet(), and property_page_new_packet().